Subject: Re: bug#17970: log-edit creates unwanted ChangeLog buffers

From: Eli Zaretskii <[email-masked]>
Date: Wed, 09 Jul 2014 19:28:07 +0300

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 09 Jul 2014 11:41:35 -0400
> 
> Eli Zaretskii wrote:
> 
> >> Perhaps log-edit-changelog-entries should not bother visiting
> >> non-existent files.
> >
> > That wouldn't be TRT when starting a new repository, or a new
> > directory in an existing one.
> 
> What benefit is there to vc-next-action creating empty ChangeLog buffers
> in such cases?

To let me _create_ one.

> > In addition, if the ignore file mentions ChangeLog, the command could
> > deduce automatically what is TRT.
> 
> (Then we need an ignore-file parser.)

With one file name per line, I wouldn't call it a "parser", really.

> Why would you have an unversioned ChangeLog

I didn't say I would.  What I meant was that if ChangeLog is in the
ignore file, that's a sign that a non-existent ChangeLog file should
not be visited, since this repository doesn't want such files.